#!/usr/bin/env python3.5
# Copyright 2017 Digital
#
# This file is part of BeeWatch.
#
# BeeWatch is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BeeWatch is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BeeWatch.  If not, see <http://www.gnu.org/licenses/>.
#
# Python Libraries
import curio
import logging
import threading
import time
import traceback
# My Libraries
import digilib.pin
log = logging.getLogger(__name__+"")
lpin = logging.getLogger(__name__+".pin")
# log = logging.getLogger(__name__+"")

print("*"*20)
print("USE CURIO WHEN CODING THE PIN STUFF")
print("this message is printed by {}".format(__file__))
print("*"*20)

class LoadCell(digilib.pin.PinControllerBase):
    """interface for a single load cell"""
    pass

class BeeWeighingScale(digilib.pin.PinAPIBase):
    """handles all load cells"""
    pass































#
